## devisor2.grid.options
Class DrawControl

    java.lang.Object
      devisor2.grid.options.DrawControl

public class DrawControl
extends java.lang.Object

This is the convenience class for easy access of all draw options such as colors, fonts and paint flags.
These options are still being stored in the Options class, therefore also made persistent with it, and this class is updated every time any of these options are changed. Updating is taken care of by the constructor only.
For easy access, there is a reference to the most recent instance of this class in the ControlCenter, which you can access as usual.

Field Summary
`int` `act_x1` the actual MainFrame width
`int` `act_x2` the actual MainFrame width
`int` `act_y1` the actual MainFrame width
`int` `act_y2` the actual MainFrame width
`java.awt.Color[]` `boundary_palette` the palette for boundary colors
`java.awt.Color` `color_background` color of the background
`java.awt.Color` `color_boundarynumber` boundarynumbers are painted with
`java.awt.Color` `color_edge` color edges are painted with
`java.awt.Color` `color_edgebase` base color edges are painted with
`java.awt.Color` `color_edgenumber` color edgenumbers are painted with
`java.awt.Color` `color_element` color elements are painted with
`java.awt.Color` `color_elementnumber` color elementnumbers are painted with
`java.awt.Color` `color_grid` color of the grid
`java.awt.Color` `color_lasso` color of the lasso
`java.awt.Color` `color_node` color nodes are painted with
`java.awt.Color` `color_nodenumber` color nodenumbers are painted with
`java.awt.Color` `color_rect` highlight color for rectangular status
`java.awt.Color` `color_selection` highlight color for selections
`boolean` `cross_element` flag to indicate if elements are crossed
`boolean` `displaycoords` flag to toggle user coords of mouse position feedback
`boolean` `draw_boundary` flag to indicate if boundaries are painted
`boolean` `draw_edge` flag to indicate if edges are painted
`boolean` `draw_element` flag to indicate if elements are painted
`boolean` `draw_grid` flag to indicate if the grid is painted
`boolean` `draw_node` flag to indicate if nodes are painted
`boolean` `draw_orientationmarkers` flag to toggle drawing of orientation markers
`boolean` `draw_perimeter` flag to indicate if the perimeter is painted
`boolean` `fill_element` flag to indicate if elements are filled
`java.awt.Font` `font_numbering` font used to display numbering
`boolean` `highlight_rect` flag to indicate if rectangular elements are highlighted
`boolean` `number_boundary` flag to indicate if boundary numbers are painted
`boolean` `number_edge` flag to indicate if edge numbers are painted
`boolean` `number_element` flag to indicate if element numbers are painted
`boolean` `number_node` flag to indicate if node numbers are painted
`java.awt.Color[]` `parallel_palette` all fillxx colors in one palette
`int` `screen_height` the physical screen heigth
`int` `screen_width` the physical screen width
`int` `tolerance` click tolerance (i.e.
`int` `used_screen_height` the physical screen heigth
`int` `used_screen_width` the actual MainFrame width
`int` `world_x1` the actual MainFrame width
`int` `world_x2` the actual MainFrame width
`int` `world_y1` the actual MainFrame width
`int` `world_y2` the actual MainFrame width

Constructor Summary
`DrawControl(Options op)` The constructor just initializes all the class variables, which are public for easier access.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### screen_width

    public int screen_width

  the physical screen width

### screen_height

    public int screen_height

  the physical screen heigth

### used_screen_width

    public int used_screen_width

  the actual MainFrame width

### used_screen_height

    public int used_screen_height

  the physical screen heigth

### world_x1

    public int world_x1

  the actual MainFrame width

### world_y1

    public int world_y1

  the actual MainFrame width

### world_x2

    public int world_x2

  the actual MainFrame width

### world_y2

    public int world_y2

  the actual MainFrame width

### act_x1

    public int act_x1

  the actual MainFrame width

### act_y1

    public int act_y1

  the actual MainFrame width

### act_x2

    public int act_x2

  the actual MainFrame width

### act_y2

    public int act_y2

  the actual MainFrame width

### displaycoords

    public boolean displaycoords

  flag to toggle user coords of mouse position feedback

### draw_orientationmarkers

    public boolean draw_orientationmarkers

  flag to toggle drawing of orientation markers

### draw_boundary

    public boolean draw_boundary

  flag to indicate if boundaries are painted

### number_boundary

    public boolean number_boundary

  flag to indicate if boundary numbers are painted

### draw_node

    public boolean draw_node

  flag to indicate if nodes are painted

### number_node

    public boolean number_node

  flag to indicate if node numbers are painted

### draw_edge

    public boolean draw_edge

  flag to indicate if edges are painted

### number_edge

    public boolean number_edge

  flag to indicate if edge numbers are painted

### draw_element

    public boolean draw_element

  flag to indicate if elements are painted

### number_element

    public boolean number_element

  flag to indicate if element numbers are painted

### cross_element

    public boolean cross_element

  flag to indicate if elements are crossed

### fill_element

    public boolean fill_element

  flag to indicate if elements are filled

### draw_grid

    public boolean draw_grid

  flag to indicate if the grid is painted

### draw_perimeter

    public boolean draw_perimeter

  flag to indicate if the perimeter is painted

### highlight_rect

    public boolean highlight_rect

  flag to indicate if rectangular elements are highlighted

### color_node

    public java.awt.Color color_node

  color nodes are painted with

### color_edgebase

    public java.awt.Color color_edgebase

  base color edges are painted with

### color_edge

    public java.awt.Color color_edge

  color edges are painted with

### color_element

    public java.awt.Color color_element

  color elements are painted with

### color_boundarynumber

    public java.awt.Color color_boundarynumber

  boundarynumbers are painted with

### color_nodenumber

    public java.awt.Color color_nodenumber

  color nodenumbers are painted with

### color_edgenumber

    public java.awt.Color color_edgenumber

  color edgenumbers are painted with

### color_elementnumber

    public java.awt.Color color_elementnumber

  color elementnumbers are painted with

### color_selection

    public java.awt.Color color_selection

  highlight color for selections

### color_rect

    public java.awt.Color color_rect

  highlight color for rectangular status

### color_grid

    public java.awt.Color color_grid

  color of the grid

### color_background

    public java.awt.Color color_background

  color of the background

### color_lasso

    public java.awt.Color color_lasso

  color of the lasso

### parallel_palette

    public java.awt.Color[] parallel_palette

  all fillxx colors in one palette

### boundary_palette

    public java.awt.Color[] boundary_palette

  the palette for boundary colors

### font_numbering

    public java.awt.Font font_numbering

  font used to display numbering

### tolerance

    public int tolerance

  click tolerance (i.e. the distance added in all directions to the click point so that all objects inside this rectangle count as clicked on)

Constructor Detail

### DrawControl

    public DrawControl(Options op)

  The constructor just initializes all the class variables, which are public for easier access. Feel free to make them private and provide get methods :-)

Parameters:
  `op` - - the Options instance to read values from